Bug 212760 - system config security level no longer has a way to change selinux policy
system config security level no longer has a way to change selinux policy
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2006-10-28 15:37 EDT by Bruno Wolff III
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-28 11:55:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2006-10-28 15:37:54 EDT
Description of problem:
In FC5 one could change between mls, strict and targetted policies using the
graphical system-config-securitylevel progam. That option no longer appears to
be there.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Go to System -> Adminstration -> Security Level and Firewall
2. Select SELinux
Actual results:
The ability to select policy type (MLS, Strict or Targetted) as in FC5

Expected results:
No visible button for setting policy and none of the options for tweaking policy
seemed to provide this function.

Additional info:
Comment 1 Chris Lumens 2006-10-28 17:35:30 EDT
Do you have multiple selinux policy packages installed?
Comment 2 Bruno Wolff III 2006-10-29 16:14:33 EST
As it turns out no. It wasn't obvious as there doesn't seem to be a way to
control which policies get installed initially in FC6.
Once I manually installed the other policies then system-config-securitylevel
gave an option to change policy.
So I guess that makes this technically not a bug, but it seems to me to be a
confusing feature. If the option to change policy had been there with targetted
as the only option it would have been obvious that I needed to install the other
policies. When the option wasn't there I was left wondering if there was some
other place I should look to try to change policy, especially since after
installing all of the optional packages, my expectation was that the alternate
selinux policies would have been installed.
Comment 3 Chris Lumens 2006-11-28 11:55:04 EST
This functionality has moved to system-config-selinux in policycoreutils-gui,
which is a much more capable program.  The SELinux stuff in s-c-securitylevel
was never that good anyway.  Thanks for the bug report, however keep in mind
this may be a problem with that program as well.  I don't know how they handle
this sort of stuff.

Note You need to log in before you can comment on or make changes to this bug.